import request from "./request.js";


let getMusicCatList = (params={}) => {
	let url = "MusicCat/findList";
	return request.httpPost(url,params);
}

let getBaseConfig = (params={}) => {
	let url = "Baseconfig/findList";
	return request.httpPost(url,params);
}

let getUserInfo = (params={}) => {
	let url = "User/getUserinfo";
	return request.httpPost(url,params);
}

let getInviteCount = (params={}) => {
	let url = "UserInvite/getCount";
	return request.httpPost(url,params);
}

let helpUser = (params={}) => {
	let url = "UserInvite/add";
	return request.httpPost(url,params);
}

let checkInviteHelp = (params={}) => {
	let url = "UserInvite/checkInviteHelp";
	return request.httpPost(url,params);
}

let getMingxiangList = (params={}) => {
	let url = "Music/getMingxiangList";
	return request.httpPost(url,params);
}

let getMiniQrcode = (params={}) => {
	let url = "User/getMiniQrcode";
	return request.httpPost(url,params);
}

let refreshUserinfo = (params={}) => {
	let url = "User/refreshUserinfo";
	return request.httpPost(url,params);
}

export default {
	getMusicCatList,
	getBaseConfig,
	getUserInfo,
	getInviteCount,
	helpUser,
	checkInviteHelp,
	getMingxiangList,
	getMiniQrcode,
	refreshUserinfo
}